
Name: PolicyKit-kde
Version: 4.2.90
Release: 1%{?dist}
Summary: PolicyKit integration for the KDE desktop

Group: System Environment/Libraries
License: GPLv2+ and LGPLv2+
URL: http://www.kde.org
#Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/extragear/%{name}-%{version}.tar.bz2
Source0: ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/kdebase-workspace-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1: kdebase-workspace-4.2.90-PolicyKit_standalone.patch

BuildRequires:  kdelibs4-devel >= 4.2
BuildRequires:  polkit-qt-devel >= 0.9.2
BuildRequires:  cmake
BuildRequires:  gettext

# This can be used by apps which want to use the PolicyKit
# frontend implementation of the desktop they are running under
Provides: PolicyKit-authentication-agent

%description
This package provides a PolicyKit Authentication Frontend for KDE


%prep
%setup -q -n kdebase-workspace-%{version}

%patch1 -p1 -b .PolicyKit_standalone.patch
ln -s ../doc/PolicyKit-kde PolicyKit-kde/doc
ln -s ../cmake PolicyKit-kde/cmake


%build

mkdir -p PolicyKit-kde/%{_target_platform}
pushd PolicyKit-kde/%{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C PolicyKit-kde/%{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C PolicyKit-kde/%{_target_platform}

## unpackged files
rm -f %{buildroot}%{_kde4_libdir}/libpolkitkdeprivate*.so


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING
%{_kde4_bindir}/*
%{_kde4_libdir}/libpolkitkdeprivate*.so.*
%{_kde4_libdir}/kde4/*
%{_kde4_datadir}/dbus-1/services/*
%{_kde4_libexecdir}/*
%{_kde4_sharedir}/kde4/services/*
%{_kde4_docdir}/HTML/en/PolicyKit-kde/


%changelog
* Fri Jun 12 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.90-1
- shoe-horn PolicyKit-kde update from kdebase-workspace-4.2.90

* Fri Feb 27 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.2.0-3
- Provides: PolicyKit-authentication-agent

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 23 2009 Than Ngo <than@redhat.com> - 4.2.0-1
- 4.2.0

* Thu Jan 08 2009 Than Ngo <than@redhat.com> - 0.0-0.1.20081219svn
- initial version
